# -*- coding: utf-8 -*-

################################################################################
## Form generated from reading UI file 'app.ui'
##
## Created by: Qt User Interface Compiler version 5.15.2
##
## WARNING! All changes made in this file will be lost when recompiling UI file!
################################################################################

from PySide2.QtCore import *
from PySide2.QtGui import *
from PySide2.QtWidgets import *

from  . import app_qrc_rc

class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        if not MainWindow.objectName():
            MainWindow.setObjectName(u"MainWindow")
        MainWindow.resize(912, 520)
        MainWindow.setMinimumSize(QSize(912, 520))
        self.actionEncerrar = QAction(MainWindow)
        self.actionEncerrar.setObjectName(u"actionEncerrar")
        icon = QIcon()
        icon.addFile(u":/funcionarios/icons/fechar.png", QSize(), QIcon.Normal, QIcon.Off)
        self.actionEncerrar.setIcon(icon)
        self.actionFechar_Janelas = QAction(MainWindow)
        self.actionFechar_Janelas.setObjectName(u"actionFechar_Janelas")
        icon1 = QIcon()
        icon1.addFile(u":/funcionarios/icons/closes.png", QSize(), QIcon.Normal, QIcon.Off)
        self.actionFechar_Janelas.setIcon(icon1)
        self.actionServidores = QAction(MainWindow)
        self.actionServidores.setObjectName(u"actionServidores")
        icon2 = QIcon()
        icon2.addFile(u":/funcionarios/icons/multiple-users-silhouette.png", QSize(), QIcon.Normal, QIcon.Off)
        self.actionServidores.setIcon(icon2)
        self.actionCargos = QAction(MainWindow)
        self.actionCargos.setObjectName(u"actionCargos")
        icon3 = QIcon()
        icon3.addFile(u":/funcionarios/icons/profission.png", QSize(), QIcon.Normal, QIcon.Off)
        self.actionCargos.setIcon(icon3)
        self.actionAvalia_es = QAction(MainWindow)
        self.actionAvalia_es.setObjectName(u"actionAvalia_es")
        icon4 = QIcon()
        icon4.addFile(u":/funcionarios/icons/newspaper.png", QSize(), QIcon.Normal, QIcon.Off)
        self.actionAvalia_es.setIcon(icon4)
        self.actionLotacoes = QAction(MainWindow)
        self.actionLotacoes.setObjectName(u"actionLotacoes")
        icon5 = QIcon()
        icon5.addFile(u":/funcionarios/icons/skyscrapper.png", QSize(), QIcon.Normal, QIcon.Off)
        self.actionLotacoes.setIcon(icon5)
        self.actionBackup_e_restauracao = QAction(MainWindow)
        self.actionBackup_e_restauracao.setObjectName(u"actionBackup_e_restauracao")
        self.actionServidor = QAction(MainWindow)
        self.actionServidor.setObjectName(u"actionServidor")
        self.actionLotacao = QAction(MainWindow)
        self.actionLotacao.setObjectName(u"actionLotacao")
        self.actionCargo = QAction(MainWindow)
        self.actionCargo.setObjectName(u"actionCargo")
        self.actionConfiguracao = QAction(MainWindow)
        self.actionConfiguracao.setObjectName(u"actionConfiguracao")
        self.actionAlterar_senha = QAction(MainWindow)
        self.actionAlterar_senha.setObjectName(u"actionAlterar_senha")
        self.actionAlterar_senha_2 = QAction(MainWindow)
        self.actionAlterar_senha_2.setObjectName(u"actionAlterar_senha_2")
        self.actionAlterar_nome = QAction(MainWindow)
        self.actionAlterar_nome.setObjectName(u"actionAlterar_nome")
        self.actionUsu_rios = QAction(MainWindow)
        self.actionUsu_rios.setObjectName(u"actionUsu_rios")
        self.actionUsuarios = QAction(MainWindow)
        self.actionUsuarios.setObjectName(u"actionUsuarios")
        self.actionRegistros = QAction(MainWindow)
        self.actionRegistros.setObjectName(u"actionRegistros")
        self.actionCriar_intersticio = QAction(MainWindow)
        self.actionCriar_intersticio.setObjectName(u"actionCriar_intersticio")
        self.actionRecalcular_intersticios = QAction(MainWindow)
        self.actionRecalcular_intersticios.setObjectName(u"actionRecalcular_intersticios")
        self.actionIntersticiosCumpridos = QAction(MainWindow)
        self.actionIntersticiosCumpridos.setObjectName(u"actionIntersticiosCumpridos")
        self.centralwidget = QWidget(MainWindow)
        self.centralwidget.setObjectName(u"centralwidget")
        self.gridLayout = QGridLayout(self.centralwidget)
        self.gridLayout.setSpacing(0)
        self.gridLayout.setObjectName(u"gridLayout")
        self.gridLayout.setContentsMargins(0, 0, 0, 0)
        self.gridLayout_3 = QGridLayout()
        self.gridLayout_3.setObjectName(u"gridLayout_3")
        self.frame_2 = QFrame(self.centralwidget)
        self.frame_2.setObjectName(u"frame_2")
        self.frame_2.setFrameShape(QFrame.StyledPanel)
        self.frame_2.setFrameShadow(QFrame.Raised)
        self.gridLayout_2 = QGridLayout(self.frame_2)
        self.gridLayout_2.setSpacing(0)
        self.gridLayout_2.setObjectName(u"gridLayout_2")
        self.gridLayout_2.setContentsMargins(0, 0, 0, 0)
        self.mdiArea = QMdiArea(self.frame_2)
        self.mdiArea.setObjectName(u"mdiArea")
        brush = QBrush(QColor(213, 213, 213, 255))
        brush.setStyle(Qt.SolidPattern)
        self.mdiArea.setBackground(brush)

        self.gridLayout_2.addWidget(self.mdiArea, 0, 0, 1, 1)


        self.gridLayout_3.addWidget(self.frame_2, 0, 0, 1, 1)


        self.gridLayout.addLayout(self.gridLayout_3, 0, 0, 1, 1)

        MainWindow.setCentralWidget(self.centralwidget)
        self.statusbar = QStatusBar(MainWindow)
        self.statusbar.setObjectName(u"statusbar")
        MainWindow.setStatusBar(self.statusbar)
        self.toolBar = QToolBar(MainWindow)
        self.toolBar.setObjectName(u"toolBar")
        self.toolBar.setMovable(False)
        self.toolBar.setAllowedAreas(Qt.AllToolBarAreas)
        self.toolBar.setToolButtonStyle(Qt.ToolButtonTextBesideIcon)
        self.toolBar.setFloatable(False)
        MainWindow.addToolBar(Qt.TopToolBarArea, self.toolBar)
        self.menuBar = QMenuBar(MainWindow)
        self.menuBar.setObjectName(u"menuBar")
        self.menuBar.setGeometry(QRect(0, 0, 912, 21))
        self.menuCadastros = QMenu(self.menuBar)
        self.menuCadastros.setObjectName(u"menuCadastros")
        self.menuNovo = QMenu(self.menuCadastros)
        self.menuNovo.setObjectName(u"menuNovo")
        self.menuUtilit_rios = QMenu(self.menuBar)
        self.menuUtilit_rios.setObjectName(u"menuUtilit_rios")
        self.menuInterst_cios = QMenu(self.menuUtilit_rios)
        self.menuInterst_cios.setObjectName(u"menuInterst_cios")
        self.menuEditar = QMenu(self.menuBar)
        self.menuEditar.setObjectName(u"menuEditar")
        self.menuUsuarios = QMenu(self.menuEditar)
        self.menuUsuarios.setObjectName(u"menuUsuarios")
        self.menuRelat_rios = QMenu(self.menuBar)
        self.menuRelat_rios.setObjectName(u"menuRelat_rios")
        MainWindow.setMenuBar(self.menuBar)

        self.toolBar.addAction(self.actionAvalia_es)
        self.toolBar.addAction(self.actionCargos)
        self.toolBar.addAction(self.actionLotacoes)
        self.toolBar.addAction(self.actionServidores)
        self.toolBar.addSeparator()
        self.toolBar.addAction(self.actionFechar_Janelas)
        self.toolBar.addAction(self.actionEncerrar)
        self.menuBar.addAction(self.menuCadastros.menuAction())
        self.menuBar.addAction(self.menuEditar.menuAction())
        self.menuBar.addAction(self.menuRelat_rios.menuAction())
        self.menuBar.addAction(self.menuUtilit_rios.menuAction())
        self.menuCadastros.addAction(self.menuNovo.menuAction())
        self.menuCadastros.addSeparator()
        self.menuCadastros.addAction(self.actionUsuarios)
        self.menuNovo.addAction(self.actionCargo)
        self.menuNovo.addAction(self.actionLotacao)
        self.menuNovo.addAction(self.actionServidor)
        self.menuUtilit_rios.addAction(self.actionBackup_e_restauracao)
        self.menuUtilit_rios.addAction(self.actionRegistros)
        self.menuUtilit_rios.addSeparator()
        self.menuUtilit_rios.addAction(self.menuInterst_cios.menuAction())
        self.menuInterst_cios.addAction(self.actionCriar_intersticio)
        self.menuInterst_cios.addAction(self.actionRecalcular_intersticios)
        self.menuEditar.addAction(self.actionConfiguracao)
        self.menuEditar.addAction(self.menuUsuarios.menuAction())
        self.menuUsuarios.addAction(self.actionAlterar_senha_2)
        self.menuUsuarios.addAction(self.actionAlterar_nome)
        self.menuRelat_rios.addAction(self.actionIntersticiosCumpridos)

        self.retranslateUi(MainWindow)
        self.actionEncerrar.triggered.connect(MainWindow.close)
        self.actionFechar_Janelas.triggered.connect(self.mdiArea.closeAllSubWindows)
        self.actionServidores.triggered.connect(MainWindow.listar_servidores)
        self.actionAvalia_es.triggered.connect(MainWindow.listar_avaliacoes)
        self.actionLotacoes.triggered.connect(MainWindow.listar_lotacoes)
        self.actionConfiguracao.triggered.connect(MainWindow.configuracao)
        self.actionServidor.triggered.connect(MainWindow.novo_servidor)
        self.actionLotacao.triggered.connect(MainWindow.nova_lotacao)
        self.actionCargo.triggered.connect(MainWindow.cadastrar_cargo)
        self.actionCargos.triggered.connect(MainWindow.listar_cargos)
        self.actionUsuarios.triggered.connect(MainWindow.usuarios)
        self.actionAlterar_senha_2.triggered.connect(MainWindow.alterar_senha)
        self.actionAlterar_nome.triggered.connect(MainWindow.alterar_nome)
        self.actionBackup_e_restauracao.triggered.connect(MainWindow.backup_db)
        self.actionRegistros.triggered.connect(MainWindow.registros)
        self.actionCriar_intersticio.triggered.connect(MainWindow.util_criar_intersticios)
        self.actionIntersticiosCumpridos.triggered.connect(MainWindow.relatorio_intesticios_cumpridos)
        self.actionRecalcular_intersticios.triggered.connect(MainWindow.util_recalcular_intersticios)

        QMetaObject.connectSlotsByName(MainWindow)
    # setupUi

    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(QCoreApplication.translate("MainWindow", u"QtUtils", None))
        self.actionEncerrar.setText(QCoreApplication.translate("MainWindow", u"Encerrar", None))
#if QT_CONFIG(tooltip)
        self.actionEncerrar.setToolTip(QCoreApplication.translate("MainWindow", u"Encerrar programa", None))
#endif // QT_CONFIG(tooltip)
        self.actionFechar_Janelas.setText(QCoreApplication.translate("MainWindow", u"Fechar Janelas", None))
        self.actionServidores.setText(QCoreApplication.translate("MainWindow", u"Servidores", None))
#if QT_CONFIG(tooltip)
        self.actionServidores.setToolTip(QCoreApplication.translate("MainWindow", u"Listar servidores", None))
#endif // QT_CONFIG(tooltip)
        self.actionCargos.setText(QCoreApplication.translate("MainWindow", u"Cargos", None))
        self.actionAvalia_es.setText(QCoreApplication.translate("MainWindow", u"Avalia\u00e7\u00f5es", None))
#if QT_CONFIG(tooltip)
        self.actionAvalia_es.setToolTip(QCoreApplication.translate("MainWindow", u"Avalia\u00e7\u00f5es", None))
#endif // QT_CONFIG(tooltip)
        self.actionLotacoes.setText(QCoreApplication.translate("MainWindow", u"Lota\u00e7\u00f5es", None))
        self.actionBackup_e_restauracao.setText(QCoreApplication.translate("MainWindow", u"Backup e restaura\u00e7\u00e3o", None))
        self.actionServidor.setText(QCoreApplication.translate("MainWindow", u"Servidor", None))
#if QT_CONFIG(tooltip)
        self.actionServidor.setToolTip(QCoreApplication.translate("MainWindow", u"Cadastrar servidor", None))
#endif // QT_CONFIG(tooltip)
        self.actionLotacao.setText(QCoreApplication.translate("MainWindow", u"Lota\u00e7\u00e3o", None))
#if QT_CONFIG(tooltip)
        self.actionLotacao.setToolTip(QCoreApplication.translate("MainWindow", u"Cadastrar lota\u00e7\u00e3o", None))
#endif // QT_CONFIG(tooltip)
        self.actionCargo.setText(QCoreApplication.translate("MainWindow", u"Cargo", None))
        self.actionConfiguracao.setText(QCoreApplication.translate("MainWindow", u"Configura\u00e7\u00e3o", None))
        self.actionAlterar_senha.setText(QCoreApplication.translate("MainWindow", u"Alterar senha", None))
        self.actionAlterar_senha_2.setText(QCoreApplication.translate("MainWindow", u"Alterar senha", None))
        self.actionAlterar_nome.setText(QCoreApplication.translate("MainWindow", u"Alterar nome", None))
        self.actionUsu_rios.setText(QCoreApplication.translate("MainWindow", u"Usu\u00e1rios", None))
        self.actionUsuarios.setText(QCoreApplication.translate("MainWindow", u"Usu\u00e1rios", None))
        self.actionRegistros.setText(QCoreApplication.translate("MainWindow", u"Registros", None))
        self.actionCriar_intersticio.setText(QCoreApplication.translate("MainWindow", u"Criar", None))
        self.actionRecalcular_intersticios.setText(QCoreApplication.translate("MainWindow", u"Recalcular", None))
        self.actionIntersticiosCumpridos.setText(QCoreApplication.translate("MainWindow", u"Interst\u00edcios cumpridos", None))
        self.toolBar.setWindowTitle(QCoreApplication.translate("MainWindow", u"toolBar", None))
        self.menuCadastros.setTitle(QCoreApplication.translate("MainWindow", u"Cadastros", None))
        self.menuNovo.setTitle(QCoreApplication.translate("MainWindow", u"Novo", None))
        self.menuUtilit_rios.setTitle(QCoreApplication.translate("MainWindow", u"Utilit\u00e1rios", None))
        self.menuInterst_cios.setTitle(QCoreApplication.translate("MainWindow", u"Interst\u00edcios", None))
        self.menuEditar.setTitle(QCoreApplication.translate("MainWindow", u"Editar", None))
        self.menuUsuarios.setTitle(QCoreApplication.translate("MainWindow", u"Usu\u00e1rio", None))
        self.menuRelat_rios.setTitle(QCoreApplication.translate("MainWindow", u"Relat\u00f3rios", None))
    # retranslateUi

